/*
	CSS Display Property

	display: block;
		-changes the element into a block element.
		-takes up the full width of the browser.
		e.g. p, h1-h6, ul/ol, li

	display: inline;
		-changes the element into an inline element.
		e.g. span, button, label, input

	display: inline-block;
		-it is the combination of the two elements
		-act as inline element 
	
	display: none;
*/

#div-1 {
	background-color: green;
	height: 200px;
	width: 200px;
}
#span-1{
	background-color: purple;
	height: 200px;
	width: 200px;
}
#span-2{
	background-color: red;
	display: block;
	}
#div-2 {
	background-color: hotpink;
	display: inline;
}
#img {
	width: 250px;
	height: 250px;
	display: inline-block;
}

/*
	CSS Background Property (Color Values)
	#hexcode value
		-hexadecimal color is specified with:
			-#RRGGBB (Red, Green, Blue)
			-Between 00 and FF (o-9, A-F)

	rgba or rgb(alpha) value
		-values inside the parenthesis is between 0 to 255 (percentage values 0% to 100%)
		-alpha sets the opacity of a color set (0.0 to 1.0)

	Color Name Values
		-composed of 140 colors, commonly used for changing color in an elements
*/

#p-1{
	background-color: #87CEFA; /*hex code value*/
}

#p-2{
	background-color: rgba(255,105, 180, 0.50); /*rgb() or rgba()*/
	width: 60%;
}

#p-3{
	background-color: yellow; /**/
	width: 40%;
}

.sample{
	display: inline-block;
	width: 30%;
	border: 1px solid black;
	text-align: center;
}

/*
	CSS Float Property

	- none		: element will not float.
	- right		: floats to the right of its container.
	- left		: floats to the left of its container.
	- inherit	: inherit the float values of parent.

*/
 
.img-float{
	width: 250px;
	height: 250px;
	float: inherit;
}

/*
	CSS Units

	pixels(px)
		- is relative with the viewing screen (based on the screen resolution).
		- screen with higher resolution will contain more pixels.

	percentage(%)
		- is relative to the parent element
		- the height and width will be basedon the parent container.

	viewport units
		(vh - height; vw - width)
		-relative to the viewport/browser window size.

	em
		- relative to the parent element.
		- equal px size = em * parent size

	rem
		- relative to the HTML element.
		- equal px size = em * root size
*/

.box{
	background-color: red;
	border: 1px solid black;
	margin: 5px;
	padding: 5px;
}

.fifty-percent{
	width: 50%;
}

.one-hundred-pixels{
	width: 100px;
}

.parent{
	width: 250px;
	border: 2px solid navy;
	font-size: 30px;
}

.fifty-vw{
	width: 50vw;
}
.twenty-five-vh{
	height: 25vh;
}

.one-rem{
	/* 1rem  = 16px (font-size of the root element)*/
	font-size: 1rem;
}

.one-em{
	font-size: 1em;
}

.two-rem{
	font-size: 2rem;
}

.two-em{
	font-size: 2em;
}

.two-hundred-percent{
	font-size: 200%;
}

/*
	Background Property

	* background-color - change the color of the background.
	* background-image: url(URI) - Takes on the path of the image.
	* background-repeat - sets how the background image will be repeated.
		( e.g. no-repeat | repeat | repeat-x | repeat-y | space | round )
	* background-size - specify the size of the background image.
		( e.g. auto | cover | contain | unit values[50%] )
	* background-position - changes the position of the background image relative to the HTML element (X and Y axis).
		-valaues: 	left | center | right (x-axis)
					top | center | bottom (y-axis)
					unit values
	* background-attachment - sets whether a background images scrolls with the rest of the page or is it fixed.
*/

.background{
	min-height: 20rem;
/*	background-color: gray;*/
	/**hex#808080 OR rbg(128,128,128)*/
	background-image: url(https://c4.wallpaperflare.com/wallpaper/43/1003/707/anime-your-name-kimi-no-na-wa-mitsuha-miyamizu-wallpaper-preview.jpg);
	background-repeat: no-repeat;
	background-size: 100%;
	/*background-position: x-axis y-axis;*/
	background-position: center top;
	background-attachment: fixed;
}

.bg-title{
	color: white;
	text-align: center;
	font-size: 5em;
	margin: 0;
	line-height: 35rem;
}

.container-bg{
	background-color: rgba(0,0,0,0.5);
	min-height: 100%;
}

/*
	CSS Position Element
		
		position: static
			- default value for elements. follows the normal document flow.
			- Left, Right, Top, Bottom, Z-index will not apply wit static position

		position: relative
			- remains with the normal document flow, but will be affected by Left, Right, Top, Bottom, Z-index property

		position: absolute
			- these are position relative to their closest positioned ancestor

		positin: fixed
			= similar with the absolute position, but it always position relative to the initial containing block (html tag).

		position: sticky
			-acts relatively positioned element until a scroll point happen and it acts like a fixed element.

*/

.parent-element {
    background-color: skyblue;
    padding: 50px 10px;
    position: relative;
    height: 100vh;
}


.child-one {
    background-color: gray;
    padding: 10px;
}

.child-two {
    background-color: yellow;
    padding: 10px;
    position: sticky;
    top: 0;
}

.child-three {
    background-color: gray;
    padding: 10px;
}

/*
	Z-index 
		- it also belongs to position: trbl
		- it manipulates the stacked order
		- element with greater stack order is always in front of an element with a lower stack order.
*/

.container{
	position: relative;
}

.black-box{
	position: relative;
	z-index: 2;
	border: 2px solid black;
	height: 100px;
	margin: 30px;
}

.gray-box{
	position: absolute;
	z-index: 2;
	background-color: lightgray;
	height: 60px;
	width: 70%;
	left: 50px;
	top: 50px;
}

.green-box{
	position: absolute;
	z-index: 2;
	background-color: lightgreen;
	width: 35%;
	left: 270px;
	top: -15px;
	height: 100px;
}
